> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invocation Logs



## OpenAPI

````yaml get /v1/functions/invocations/{id}/logs
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/functions/invocations/{id}/logs:
    get:
      summary: Get Invocation Logs
      operationId: Invocations_getLogs
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  logs:
                    type: array
                    items:
                      $ref: '#/components/schemas/InvocationLog'
                  total:
                    type: integer
                    minimum: 0
                required:
                  - logs
                  - total
components:
  schemas:
    InvocationLog:
      type: object
      properties:
        message:
          type: string
        timestamp:
          type: number
      required:
        - message
        - timestamp
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````